package adapter

import (
	"nilfm.cc/git/nirvash/page"
)

type Adapter interface {
	Name() string
	GetConfig(key string) (interface{}, error)
	SetConfig(key string, value interface{}) error
	ListPages() map[string]string
	GetPage(string) page.Page
	FormatPage(string) string
	FormattingHelp() string
	Build()
}
